Bug 125764 - "always on bottom" is rendered as "always on top"
Summary: "always on bottom" is rendered as "always on top"
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sawfish   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-11 02:13 UTC by Joel Uckelman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 03:12:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"always on bottom" patch (340 bytes, patch)
2004-06-11 02:21 UTC, Joel Uckelman
no flags Details | Diff

Description Joel Uckelman 2004-06-11 02:13:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Windows which are supposed to appear beneath all other windows instead
appear above all other windows. (This is painfully apparent when using
gDesklets.)

Version-Release number of selected component (if applicable):
sawfish 1.3-3

How reproducible:
Always

Steps to Reproduce:
1. Run any program which creates "always on bottom" windows.
2. Move other windows over them.

    

Actual Results:  The "always on bottom" windows are drawn on top!

Expected Results:  The "always on bottom" windows should stay on the
bottom.

Additional info:

Comment 1 Joel Uckelman 2004-06-11 02:21:08 UTC
Created attachment 101054 [details]
"always on bottom" patch

This is a patch for the "always on bottom" bug. Changing '+2' to '-2' on line
128 is all it takes to fix this.

Comment 2 Havoc Pennington 2004-06-11 21:29:34 UTC
Can you report this to bugzilla.gnome.org also? We don't have anyone
really familiar with the Sawfish codebase.

Comment 3 Havoc Pennington 2004-08-09 03:12:45 UTC
Sawfish has been dropped from Fedora Core 3, see
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html
for some more discussion.

Closing all Sawfish bugs for this reason.


Note You need to log in before you can comment on or make changes to this bug.